Mailinglist Archive: opensuse (2831 mails)

< Previous Next >
[SLE] Yast2 online update Problem
  • From: Michael Jung <miju@xxxxxxxxxxxxx>
  • Date: Fri, 28 Jul 2006 15:19:52 +0200
  • Message-id: <20060728131952.GA4958@xxxxxxxxxxxxxxxxxxx>
I posted this to alt.os.linux.suse and alt.linux.suse and did not receive any
answer. (But remarks from two people having apparently the same problem.)
Maybe here someone can help.

Two days ago I was trying to update Suse 10.1 (where is this information
hidden, Yast2 seems to be versionless!) after I had determined that my
ghostscript was out of date. Yast2 -> YOU -> selecting a few checkboxes,
continue -> update runs. When I returned later, I saw a dialog box indicating
a restart shall be commencing. Ok'd, after which YOU starts again (?). Again
selecting a few checkboxes, continue -> update runs. When I returned later I
see that the console is full whith these error messages:

/usr/lib/YaST2/bin/y2base: symbol lookup error:
/usr/lib/YaST2/plugin/libpy2Pkg.so.2: undefined symbol: _ZN4zypp13SourceManager7restoreENS_10filesystem8PathnameEbRKSsS4_

I was able to kill Yast2.

golem:~ # ps -aef | grep yast
root 10197 1 0 08:58 pts/0 00:00:00 /bin/bash /sbin/yast2 online_update
golem:~ # kill 10197

Well, I can now neither install nor deinstall with Yast2. Yast(1) seems to
call the same internal software, because I receive the same hang-up, but on
the console so I can't read the error messages.

Does anybody know how to get out of this mess? Possibly with the Boot-CD and
then with a new installation, but I was thinking of a less dire measure. (BTW,
I did not select the current kernel update.)

golem:~ # uname -a
Linux golem 2.6.16.13-4-default #1 Wed May 3 04:53:23 UTC 2006 i686 athlon i386 GNU/Linux

Michael


--
Check the headers for your unsubscription address
For additional commands send e-mail to suse-linux-e-help@xxxxxxxx
Also check the archives at http://lists.suse.com
Please read the FAQs: suse-linux-e-faq@xxxxxxxx


< Previous Next >
Follow Ups